Bug Hunting Session
Bug 126590 - FILEOPEN DOCX Absolute links broken in Writer
Summary: FILEOPEN DOCX Absolute links broken in Writer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.3.2 release
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Hyperlink
  Show dependency treegraph
 
Reported: 2019-07-29 08:56 UTC by NISZ LibreOffice Team
Modified: 2019-08-12 08:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem in Writer. (69.58 KB, image/png)
2019-07-29 08:58 UTC, NISZ LibreOffice Team
Details
Example file from Word with an absolute link. (19.04 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-07-29 08:59 UTC, NISZ LibreOffice Team
Details
Bibisect log file. (2.42 KB, text/plain)
2019-07-29 09:00 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-07-29 08:56:40 UTC
Description:
Absolute links in DOCX documents created with Microsoft Word are broken when the document is opened in LibreOffice Writer.

Steps to Reproduce:
    1. Create a new document in Microsoft Word 2016.
    2. On the Insert tab, click Hyperlink.
    3. Click Existing File or Web Page under Link to, and then choose a file in the Look in list or the Current Folder list.
    4. Click on OK button.
    5. Save the file as DOCX.
    6. Open the same file in LibreOffice Writer.
    7. Ctrl+Click the link.

Actual Results:
The hyperlink doesn’t work.

Expected Results:
The hyperlink should work in Writer.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice Details:
Version: 6.4.0.0.alpha0+ (x64)
Build ID: bebc2280e43fc381e9085f2a397dad9dd7701fdd
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded


Bibisected to the following commit:
b546ef01befe6cb41af1db60840cbbf0bae75906 is the first bad commit
commit b546ef01befe6cb41af1db60840cbbf0bae75906
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Apr 3 08:37:46 2019 -0700
    source sha:d59ec4cd1660410fa1b18c50d2d83b1417a82ddc
    source sha:d59ec4cd1660410fa1b18c50d2d83b1417a82ddc
:040000 040000 c52f763a13684aec8bf452b0bd3df95e328aaa47 9c0b951459792bce48ef02410a478c30d62b9ea6 M      instdir

commit d59ec4cd1660410fa1b18c50d2d83b1417a82ddc
author Stephan Bergmann <sbergman@redhat.com> 2019-03-29 14:01:19 +0100
committer Stephan Bergmann <sbergman@redhat.com> 2019-04-03 12:08:14 +0200
tree f42ff98ea0fec775c47ac277e6e79d1ace6363ec
parent 3b41abe6933046612c445f16c3879975eed650ba

Filter out problematic file URLs
Change-Id: I87fd37e56326bef4888354b923407530c6f70760
Reviewed-on: https://gerrit.libreoffice.org/70177
Tested-by: Jenkins
Reviewed-by: Stephan Bergmann <sbergman@redhat.com>
Comment 1 NISZ LibreOffice Team 2019-07-29 08:58:27 UTC
Created attachment 153023 [details]
Screenshot of the problem in Writer.
Comment 2 NISZ LibreOffice Team 2019-07-29 08:59:41 UTC
Created attachment 153024 [details]
Example file from Word with an absolute link.
Comment 3 NISZ LibreOffice Team 2019-07-29 09:00:47 UTC
Created attachment 153025 [details]
Bibisect log file.
Comment 4 Tünde Tóth 2019-07-30 09:02:20 UTC
Confirmed with:

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 0e15fb798a0d1fc8cc221ae2334411fac144f173
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 5 Commit Notification 2019-08-01 08:24:54 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a912df26c6bd9251802f853775753d20f3b3de2b%5E%21

tdf#126590 DOCX import: fix absolute hyperlinks to documents

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-08-09 10:04:52 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: d4a70ecf61b016a32caef015eea127d13b357cf7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Tünde Tóth, thanks for fixing this issue!
Comment 7 Commit Notification 2019-08-12 08:02:40 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/b165ac2ab54737a3cf0424584e97cc0b0f565a27%5E%21

tdf#126590 DOCX import: fix absolute hyperlinks to documents

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.